package com.android_examples.androidanimations_android_examplescom;
import android.support.v7.app.AppCompatActivity;
import android.os.Bundle;
import android.view.View;
import android.view.animation.Animation;
import android.view.animation.AnimationUtils;
import android.widget.Button;
import android.widget.ImageView;

public class FadeOUTActivity extends AppCompatActivity {

    Button button ;
    ImageView imageView;
    Animation animation ;

    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.activity_fade_out);

        button = (Button)findViewById(R.id.buttonfadeOUTActivity);
        imageView = (ImageView)findViewById(R.id.imageViewFadeOUT);

        button.setOnClickListener(new View.OnClickListener() {
            @Override
            public void onClick(View view) {

                animation = AnimationUtils.loadAnimation(FadeOUTActivity.this,
                        R.anim.animation_fade_out);

                imageView.startAnimation(animation);

            }
        });
    }
}
